For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get WHOIS profile

Retrieve a WHOIS contact profile. Use this endpoint to view domain registration contact information.

Get WHOIS profile

get

Retrieve a WHOIS contact profile.

Use this endpoint to view domain registration contact information.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
whoisIdintegerRequired

WHOIS ID

Example: 564651
Responses
200

Success response

application/json
idintegerOptional

WHOIS Profile ID

Example: 746263
tldstringOptional

TLD to which contact profile can be applied to

Example: com
countrystringOptional

ISO 3166 2-letter country code

Example: NL
entity_typestring · enumOptional

WHOIS profile entity type

Example: individualPossible values:
whois_detailsobjectOptional

WHOIS profile details

Example: {"first_name":"John","last_name":"Doe","email":"john@doe.tld"}
tld_detailsobjectOptional

TLD details

created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-03-19T11:54:22Z
get/api/domains/v1/whois/{whoisId}
GET /api/domains/v1/whois/{whoisId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 746263,
  "tld": "com",
  "country": "NL",
  "entity_type": "individual",
  "whois_details": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@doe.tld"
  },
  "tld_details": {},
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-03-19T11:54:22Z"
}

Last updated

Was this helpful?